Subject: Re: [PATCH v7] format-patch: allow a non-integral version numbers

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Mar 2021 09:01:53 -0700

"ZheNing Hu via GitGitGadget" <[email-masked]> writes:

>     There is a small question: in the case of --reroll-count=<n>, "n" is an
>     integer, we output "n-1" in the patch instead of "m" specified by
>     --previous-count=<m>,Should we switch the priority of these two: let "m"
>     output?

In principle, if the end-user can explicitly give an input that may
(or may not) contradict what the code would automatically compute,
we should treat the latter as a fallback default and use it only
when the former is not given.  So, I would think the answer is "yes,
we should use <m> and not <n>-1, if <m> is given".